<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProductsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: products
         */
        Schema::create('products', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->text('tagline')->nullable();
            $table->integer('parentcategory_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('brand_id')->nullable();
            $table->integer('model_id')->nullable();
            $table->enum('available_status', ['Local','Online','Local & Online'])->nullable();
            $table->text('description')->nullable();
            $table->text('features')->nullable();
            $table->integer('price')->nullable();
            $table->integer('discount')->nullable();
            $table->string('topic_subject', 255)->nullable();
            $table->string('topic_style', 255)->nullable();
            $table->string('gendergroup', 255)->nullable();
            $table->string('agegroup', 255)->nullable();
            $table->string('targetgroup', 255)->nullable();
            $table->string('special_targetgroup', 255)->nullable();
            $table->string('budget', 255)->nullable();
            $table->string('time', 255)->nullable();
            $table->string('location', 255)->nullable();
            $table->string('delivery', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('phone', 20)->nullable();
            $table->text('website')->nullable();
            $table->text('logo')->nullable();
            $table->text('cover_image')->nullable();
            $table->text('gallery')->nullable();
            $table->enum('is_deal', ['yes','no'])->nullable();
            $table->float('discounted_price')->nullable();
            $table->text('special_conditions')->nullable();
            $table->dateTime('deal_valid_from')->nullable();
            $table->dateTime('deal_valid_to')->nullable();
            $table->dateTime('deal_publish_from')->nullable();
            $table->dateTime('deal_publish_to')->nullable();
            $table->enum('is_auction', ['yes','no'])->nullable();
            $table->dateTime('ads_auction_from')->nullable();
            $table->dateTime('ads_auction_to')->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('products');
    }
}
