<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for product in product package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  product module in product package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Product',
    'names'         => 'Products',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Products',
        'sub'   => 'Products',
        'list'  => 'List of products',
        'edit'  => 'Edit product',
        'create'    => 'Create new product'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'available_status'    => ['Local','Online','Local & Online'],
            'is_deal'             => ['yes','no'],
            'is_auction'          => ['yes','no'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'title'                      => 'Please enter title',
        'tagline'                    => 'Please enter tagline',
        'parentcategory_id'          => 'Please enter parentcategory id',
        'category_id'                => 'Please enter category id',
        'brand_id'                   => 'Please enter brand id',
        'model_id'                   => 'Please enter model id',
        'available_status'           => 'Please select available status',
        'description'                => 'Please enter description',
        'features'                   => 'Please enter features',
        'price'                      => 'Please enter price',
        'discount'                   => 'Please enter discount',
        'topic_subject'              => 'Please enter topic subject',
        'topic_style'                => 'Please enter topic style',
        'gendergroup'                => 'Please enter gendergroup',
        'agegroup'                   => 'Please enter agegroup',
        'targetgroup'                => 'Please enter targetgroup',
        'special_targetgroup'        => 'Please enter special targetgroup',
        'budget'                     => 'Please enter budget',
        'time'                       => 'Please enter time',
        'location'                   => 'Please enter location',
        'delivery'                   => 'Please enter delivery',
        'email'                      => 'Please enter email',
        'phone'                      => 'Please enter phone',
        'website'                    => 'Please enter website',
        'logo'                       => 'Please enter logo',
        'cover_image'                => 'Please enter cover image',
        'gallery'                    => 'Please enter gallery',
        'is_deal'                    => 'Please select is deal',
        'discounted_price'           => 'Please enter discounted price',
        'special_conditions'         => 'Please enter special conditions',
        'deal_valid_from'            => 'Please select deal valid from',
        'deal_valid_to'              => 'Please select deal valid to',
        'deal_publish_from'          => 'Please select deal publish from',
        'deal_publish_to'            => 'Please select deal publish to',
        'is_auction'                 => 'Please select is auction',
        'ads_auction_from'           => 'Please select ads auction from',
        'ads_auction_to'             => 'Please select ads auction to',
        'slug'                       => 'Please enter slug',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'title'                      => 'Title',
        'tagline'                    => 'Tagline',
        'parentcategory_id'          => 'Parentcategory id',
        'category_id'                => 'Category id',
        'brand_id'                   => 'Brand id',
        'model_id'                   => 'Model id',
        'available_status'           => 'Available status',
        'description'                => 'Description',
        'features'                   => 'Features',
        'price'                      => 'Price',
        'discount'                   => 'Discount',
        'topic_subject'              => 'Topic subject',
        'topic_style'                => 'Topic style',
        'gendergroup'                => 'Gendergroup',
        'agegroup'                   => 'Agegroup',
        'targetgroup'                => 'Targetgroup',
        'special_targetgroup'        => 'Special targetgroup',
        'budget'                     => 'Budget',
        'time'                       => 'Time',
        'location'                   => 'Location',
        'delivery'                   => 'Delivery',
        'email'                      => 'Email',
        'phone'                      => 'Phone',
        'website'                    => 'Website',
        'logo'                       => 'Logo',
        'cover_image'                => 'Cover image',
        'gallery'                    => 'Gallery',
        'is_deal'                    => 'Is deal',
        'discounted_price'           => 'Discounted price',
        'special_conditions'         => 'Special conditions',
        'deal_valid_from'            => 'Deal valid from',
        'deal_valid_to'              => 'Deal valid to',
        'deal_publish_from'          => 'Deal publish from',
        'deal_publish_to'            => 'Deal publish to',
        'is_auction'                 => 'Is auction',
        'ads_auction_from'           => 'Ads auction from',
        'ads_auction_to'             => 'Ads auction to',
        'slug'                       => 'Slug',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Title', 'data-column' => 1, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 2, 'checked'],
        'brand_id'                   => ['name' => 'Brand id', 'data-column' => 3, 'checked'],
        'model_id'                   => ['name' => 'Model id', 'data-column' => 4, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 5, 'checked'],
        'topic_subject'              => ['name' => 'Topic subject', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Products',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
