<?php

// API routes  for product
Route::prefix('{guard}/product')->group(function () {
    Route::get('product/form/{element}', 'ProductAPIController@form');
    Route::resource('product', 'ProductAPIController');
});

// Public routes for product
Route::get('products/', 'ProductPublicController@index');
Route::get('products/{slug?}', 'ProductPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for products
            Route::prefix('{guard}/product')->group(function () {
                Route::get('product/form/{element}', 'ProductAPIController@form');
                Route::apiResource('product', 'ProductAPIController');
            });
            // Public routes for products
            Route::get('product/Product', 'ProductPublicController@getProduct');
        }
    );
}


// API routes  for brand
Route::prefix('{guard}/product')->group(function () {
    Route::get('brand/form/{element}', 'BrandAPIController@form');
    Route::resource('brand', 'BrandAPIController');
});

// Public routes for brand
Route::get('products/', 'BrandPublicController@index');
Route::get('products/{slug?}', 'BrandPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for products
            Route::prefix('{guard}/product')->group(function () {
                Route::get('brand/form/{element}', 'BrandAPIController@form');
                Route::apiResource('brand', 'BrandAPIController');
            });
            // Public routes for products
            Route::get('product/Brand', 'BrandPublicController@getBrand');
        }
    );
}


// API routes  for category
Route::prefix('{guard}/product')->group(function () {
    Route::get('category/form/{element}', 'CategoryAPIController@form');
    Route::resource('category', 'CategoryAPIController');
});

// Public routes for category
Route::get('products/', 'CategoryPublicController@index');
Route::get('products/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for products
            Route::prefix('{guard}/product')->group(function () {
                Route::get('category/form/{element}', 'CategoryAPIController@form');
                Route::apiResource('category', 'CategoryAPIController');
            });
            // Public routes for products
            Route::get('product/Category', 'CategoryPublicController@getCategory');
        }
    );
}


// API routes  for productmodel
Route::prefix('{guard}/product')->group(function () {
    Route::get('productmodel/form/{element}', 'ProductmodelAPIController@form');
    Route::resource('productmodel', 'ProductmodelAPIController');
});

// Public routes for productmodel
Route::get('products/', 'ProductmodelPublicController@index');
Route::get('products/{slug?}', 'ProductmodelPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for products
            Route::prefix('{guard}/product')->group(function () {
                Route::get('productmodel/form/{element}', 'ProductmodelAPIController@form');
                Route::apiResource('productmodel', 'ProductmodelAPIController');
            });
            // Public routes for products
            Route::get('product/Productmodel', 'ProductmodelPublicController@getProductmodel');
        }
    );
}

