<?php

namespace Litepie\Product\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Product policy
        'Litepie\Product\Models\Product' => \Litepie\Product\Policies\ProductPolicy::class,
// Bind Brand policy
        'Litepie\Product\Models\Brand' => \Litepie\Product\Policies\BrandPolicy::class,
// Bind Category policy
        'Litepie\Product\Models\Category' => \Litepie\Product\Policies\CategoryPolicy::class,
// Bind Productmodel policy
        'Litepie\Product\Models\Productmodel' => \Litepie\Product\Policies\ProductmodelPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
