<?php

namespace Litepie\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductmodelTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Product\Models\Productmodel $productmodel)
    {
        return [
            'id'                => $productmodel->getRouteKey(),
            'key'               => [
                'public'    => $productmodel->getPublicKey(),
                'route'     => $productmodel->getRouteKey(),
            ], 
            'name'              => $productmodel->name,
            'slug'              => $productmodel->slug,
            'user_id'           => $productmodel->user_id,
            'deleted_at'        => $productmodel->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$productmodel->getPublicKey()),
                'user'      => guard_url('product/productmodel/'.$productmodel->getRouteKey()),
            ], 
            'status'            => trans('app.'.$productmodel->status),
            'created_at'        => format_date($productmodel->created_at),
            'updated_at'        => format_date($productmodel->updated_at),
        ];
    }
}